> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of executable workflows

> Get a list of workflows that can be executed



## OpenAPI

````yaml /specs/fc-kyc-bundled_generated.yaml get /v2/workflows
openapi: 3.0.3
info:
  title: KYC V2 API
  version: 2.0.1
  description: >-
    This is the APIs for V2 KYC. It allows you to manage individuals, profiles,
    workflows, results, and documents in the context of Individuals.
  contact:
    name: FrankieOne
    url: https://www.frankieone.com/
    email: help@frankieone.com
servers:
  - url: https://api.uat.frankie.one
    description: UAT Environment API Base URL
  - url: https://api.frankie.one
    description: Production API Base URL
security:
  - Api-Key: []
tags:
  - name: Individual Entities
    description: Manage individual entity records
  - name: Individual Entity Elements
    description: Manage individual entity record elements
  - name: Individual Documents
    description: Manage documents for individuals
  - name: Individual Workflows
    description: Manage workflows and executions for individuals
  - name: Individual Results
    description: Manage results for individuals
  - name: Individual Profiles
    description: Manage individual profiles
  - name: Individual Risks
    description: Manage risks associated with an individual
  - name: Monitoring
    description: Turn on/off ongoing monitoring for an individual entity
  - name: HostedURL
    description: Manage hosted URLs for an individual
  - name: IDV
    description: Get a token and/or upload documents to initiate an IDV process
  - name: Search
    description: Search for entity profiles
paths:
  /v2/workflows:
    get:
      tags:
        - Individual Workflows
      summary: Get a list of executable workflows
      description: Get a list of workflows that can be executed
      operationId: getWorkflows
      parameters:
        - $ref: '#/components/parameters/Api-Key'
        - $ref: '#/components/parameters/X-Frankie-CustomerID'
        - $ref: '#/components/parameters/X-Frankie-CustomerChildID'
        - $ref: '#/components/parameters/X-Frankie-Channel'
        - $ref: '#/components/parameters/X-Frankie-Username'
        - $ref: '#/components/parameters/serviceNameQuery'
        - $ref: '#/components/parameters/includeQuery'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    $ref: '#/components/schemas/Request-ID'
                  workflows:
                    type: array
                    description: Provide a set of workflow lookup objects.
                    items:
                      $ref: '#/components/schemas/Workflow-Lookup'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Invalid EntityId:
                  value:
                    errorCode: API-0400,
                    errorMsg: 'Multiple Errors: See Issues list'
                    details:
                      - issue: 'entityId in path must be of type uuid: "test"'
                        issueLocation: VALIDATE-entityId
                    requestId: 01HM5XJ7VASZ3EJMB1VQGTBFJ4
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Invalid authentication:
                  value:
                    errorCode: AUTH-0002,
                    errorMsg: Unauthorized
                    details:
                      - issue: Invalid Authentication provided. Access denied.
                        issueLocation: request
                    requestId: 00000000S6MNG7624K2TDXT1E3
                No Api-Key:
                  value:
                    errorCode: AUTH-0401
                    errorMsg: Unauthorized
                    details:
                      - issue: No api key provided. Access denied.
                        issueLocation: request
                    requestId: 00000001S6MNG7624K2TDXT1E3
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - Api-Key: []
        - jwt:
            - kyc:api
components:
  parameters:
    Api-Key:
      name: api_key
      in: header
      schema:
        type: string
        example: 245c765b124a098d09ef8765....
      description: Your API key provided by FrankieOne
      required: true
    X-Frankie-CustomerID:
      name: X-Frankie-CustomerID
      in: header
      required: true
      schema:
        type: string
        example: 12345678-1234-1234-1234-123456789012
      description: Your Customer ID provided by FrankieOne
    X-Frankie-CustomerChildID:
      name: X-Frankie-CustomerChildID
      in: header
      required: false
      schema:
        type: string
        example: 87654321-4321-4321-4321-210987654321
      description: Your Customer Child ID provided by FrankieOne
    X-Frankie-Channel:
      name: X-Frankie-Channel
      in: header
      required: false
      schema:
        type: string
      description: >-
        Open string that can be used to define the "channel" the request comes
        in from. It can potentially be used in routing and risk calculations
        upon request. Default values that can be used are:  api portal smartui
        Any alphanumeric string is supported though. Anything over 64 characters
        will be truncated.
    X-Frankie-Username:
      name: X-Frankie-Username
      in: header
      description: Username provided by API caller
      required: false
      schema:
        type: string
        example: fred.flintstone@frankieone.com
    serviceNameQuery:
      name: serviceName
      in: query
      schema:
        type: array
        items:
          type: string
      explode: false
      description: The unique name of the service profile (Supports multiple service names)
    includeQuery:
      name: include
      in: query
      style: form
      explode: false
      schema:
        type: array
        items:
          type: string
          enum:
            - workflowDefinition
        default: []
      description: Query parameter to include additional fields of fetch workflow
  schemas:
    Request-ID:
      type: string
      example: 01HN9XHZN6MGXM9JXG50K59Q85
      description: The unique request identifier for the API call made.
    Workflow-Lookup:
      type: object
      properties:
        workflowId:
          type: string
          description: ID of the workflow.
        serviceId:
          type: string
          description: ID of the service the workflow is associated with.
        serviceName:
          type: string
          description: Name of the service.
        workflowDefinitionId:
          type: string
          description: Id Reference of the Workflow Definition.
        workflowName:
          type: string
          description: Name of the workflow.
        workflowDisplayName:
          type: string
          description: >-
            The display name for the workflow. This field is optional, when the
            value exists workflow name displayed in portal will be the value of
            this field.
        type:
          type: string
          description: Type of the workflow.
        createdAt:
          type: string
          format: date-time
          description: The date and time the workflow was created.
        createdBy:
          type: string
          description: The user who created the workflow.
        updatedAt:
          type: string
          format: date-time
          description: The date and time the workflow was updated.
        updatedBy:
          type: string
          description: The user who updated the workflow.
        workflowDefinitionVersion:
          type: string
          description: Reference version id used in our workflow builder.
        lifecyclePhase:
          $ref: '#/components/schemas/Workflow-LifecyclePhaseEnum'
        monitoringTypes:
          type: array
          items:
            $ref: '#/components/schemas/Monitoring-Type'
          description: |
            The types of monitoring to which this workflow is subscribed.
            If not provided, the workflow is subscribed to all monitoring types.
        definition:
          $ref: '#/components/schemas/Workflow-Definition'
    Error:
      type: object
      x-examples:
        '400':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0400
          errorMsg: Parsing credentials from "<invalid>" failed, because invalid.
          httpStatusCode: 400
        '401':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0401
          errorMsg: Unauthenticated due to invalid credentials.
          httpStatusCode: 401
        '409':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0409
          errorMsg: Conflict.
          httpStatusCode: 409
      allOf:
        - $ref: '#/components/schemas/Error-Base'
        - type: object
          properties:
            requestId:
              $ref: '#/components/schemas/Request-ID'
    Workflow-LifecyclePhaseEnum:
      type: string
      description: >
        Specifies the lifecycle phase of the customer in which this workflow is
        executed:
          - ONBOARDING: Workflow is in the onboarding stage.
          - MONITORING: Workflow is in the monitoring stage.
          - REFRESH: Workflow is in the refresh stage.
          - OTHER: Workflow is in another stage.
      enum:
        - ONBOARDING
        - MONITORING
        - REFRESH
        - OTHER
      default: OTHER
    Monitoring-Type:
      type: string
      description: >-
        The type of workflow subscription. This determines which types are
        subscribing to a workflow.
      allOf:
        - $ref: '#/components/schemas/Subscription-Type'
    Workflow-Definition:
      type: object
      description: Workflow definition
      properties:
        version:
          description: The version number of this workflow definition
          type: integer
          example: 3
        steps:
          deprecated: true
          description: The steps of the workflow
          type: array
          items:
            $ref: '#/components/schemas/Workflow-Step'
        createdAt:
          type: string
          format: date-time
          description: Timestamp when the workflow definition was first created
          example: '2023-01-01T12:00:00Z'
        updatedAt:
          type: string
          format: date-time
          description: Timestamp when the workflow definition was last updated
          example: '2023-01-02T14:30:00Z'
        definitionId:
          type: string
          description: Unique identifier for the workflow defintion
          example: 01KCG5V9H4ZQC5T1H4A2ZZHWA
          format: ulid
        name:
          type: string
          description: Human-readable name for the workflow
          example: Customer Verification Workflow
        owner:
          type: string
          description: Owner of the workflow
          default: SYSTEM
          example: SYSTEM
        description:
          type: string
          description: Optional detailed description of the workflow
          example: >-
            Workflow to verify new customer identities, including KYC and AML
            checks.
        tags:
          type: array
          description: Tags associated with the workflow
          items:
            type: string
          default: []
          example:
            - customer-verification
            - aml
            - kyc
        isTemplate:
          type: boolean
          description: Whether the workflow is a template
          default: false
          example: false
        isDraft:
          type: boolean
          description: Whether the workflow definition is a draft
          default: false
        versionId:
          type: string
          format: ulid
          description: Version identifier to refer to
          example: 01KCNG5VAH4ZQC5T1H4A2ZZHWA
        versions:
          type: array
          description: List of available versions for this workflow definition
          items:
            type: integer
          example:
            - 1
            - 2
            - 3
        createdBy:
          type: string
          description: User who created the workflow definition
          example: John Doe
        updatedBy:
          type: string
          description: User who last updated the workflow definition
          example: Jane Smith
        variables:
          type: array
          description: >-
            Workflow-level variables that can be referenced in task
            configurations using template syntax, these would be validated into
            the initial state on workflow execution
          items:
            $ref: '#/components/schemas/Workflow-Definition-Variable'
        initialState:
          type: object
          description: Initial state for the workflow execution
          default: {}
          example:
            name: John Doe
            age: 30
        defaultErrorHandling:
          type: object
          description: Default error handling configuration for the workflow
        tasks:
          type: array
          description: Tasks in the workflow
          items:
            type: object
    Error-Base:
      type: object
      properties:
        errorCode:
          type: string
        errorMsg:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
    Subscription-Type:
      type: string
      description: >-
        Specifies the type of service profile subscription. This value
        determines the category of the service profile subscription.
      enum:
        - AML
        - ACTIVITY
    Workflow-Step:
      type: object
      properties:
        name:
          type: string
          description: Name of the step (must be unique)
          example: Run KYC
        description:
          type: string
          description: Description of the step
          example: Run the KYC step
        version:
          type: string
          description: Version of the step
          example: 1.0.0
        type:
          $ref: '#/components/schemas/Workflow-Step-Type'
        configuration:
          type: object
          description: Configuration for the step
        dependsOn:
          type: array
          description: List of step names that this step depends on
          items:
            type: string
    Workflow-Definition-Variable:
      type: object
      description: Workflow variable definition
      required:
        - name
        - type
      properties:
        name:
          type: string
          description: Name of the variable
          example: customerEmail
        type:
          type: string
          description: Type of the variable
          default: STRING
          enum:
            - STRING
            - NUMBER
            - BOOLEAN
            - OBJECT
            - ARRAY
          example: STRING
        description:
          type: string
          description: Description of the variable
          example: Customer's email address
        example:
          type: string
          description: Example value of the variable
          example: customer@example.com
        default:
          type: string
          description: Default value of the variable if not provided
          example: ''
    Issue:
      type: object
      properties:
        issue:
          type: string
          description: Description of the issue.
        issueLocation:
          type: string
          description: The location or context where the issue was identified.
        issueType:
          type: string
          description: The type or category of the issue.
    Workflow-Step-Type:
      type: string
      enum:
        - BLOCKLIST
        - DUPLICATE
        - DECISION
        - BRANCH
        - MONITOR_TOGGLE
        - OTHER
        - KYC
        - AML
        - IDV
        - START
        - FINISH
  securitySchemes:
    Api-Key:
      type: apiKey
      in: header
      name: api_key
      description: ''
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````